rem Font: Lucita Console 10p

cls
@echo off
color 1F
rem pause
cls
:start
rem @echo OFF


echo            ____________________________________                
echo                     Date           Time 
@echo                  %date%     %time% 
echo            ____________________________________
echo            ####################################
echo            ############# Welec DSO ############
echo            ########## Screenshot-Tool #########
echo            ####################################
echo            ####                            ####
echo            ####          Main Menu         ####
echo            ####          _________         ####
echo            ####                            ####
echo            ####           Set the          ####
echo            ####      Screenshot Format     ####
echo            ####                            ####
echo            ####  (M)     - Menu -          ####
echo            ####  (1) print BMP/Color/Conv. ####
echo            ####  (2) print PPM             ####
echo            ####  (3) print BMP/Mono/Conv.  ####
echo            ####  (4) print CSV             ####
echo            ####  (5) print ASCII           ####
echo            ####  (B) print BMP (DSO)       ####
echo            ####  (H) HELP                  ####
echo            ####  ________________________  ####
echo            ####  (6) Conv. BMP to PNG      ####
echo            ####  (7) Rename PNG File       ####
echo            ####  (e) EXIT                  ####
echo            ####                            ####
echo            ####                            ####
echo            ####                            ####
echo            ####################################
echo            ########### by Michael D. ##########
echo            ############  Ver.1.1  #############
echo            ####################################

echo            ____________________________________
Set /P wahl=           Please choose Number:
echo            ____________________________________
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="B" goto BMP(DSO)
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="V" goto Version
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit
:exit
exit

pause
echo.

:Rename
echo.
@ECHO OFF

REM Lokale Parameter
SET Quelle=Convert_PNG
SET Ziel=Renamed

rem selbes Verzeichnis wie Batch
@ECHO OFF
if not exist %CD%\Renamed mkdir %CD%\Renamed

REM Startwert fr die Nummer
SET Zahl=0

SETLOCAL ENABLEDELAYEDEXPANSION

REM Das DIR-Kommando gibt die Dateien in der gewnschten Folge zurck
FOR /F "usebackq tokens=*" %%i IN (`DIR %Quelle% /A:-D /B`) DO (
	ECHO Alt: %Quelle%\%%i
	REM "Delayed Expansion" per Notation nutzen: Die Variable, die in jedem Durchlauf
	REM erweitert werden soll, muss in Ausrufezeichen eingefasst sein
	SET /A Zahl=!Zahl!+1
	SET screen=%%i
	ECHO Neu: %Ziel%\screen-0!Zahl!.png
	ECHO.
	COPY %Quelle%\%%i %Ziel%\screen-0!Zahl!.png
	ECHO.
	)



echo.
pause
echo.


:MENU
"scrshCOM3_menu.bat"


:BMP
"%~dp0\w2000a-screenshot.exe" -c 3 -n 1 -s -b -a %*

rem selbes Verzeichnis wie Batch
rem @ECHO OFF
rem if not exist %CD%\screenshot mkdir %CD%\screenshot

rem move %CD%\*.bmp %CD%\screenshot

"Win-png-conf_Menu.bat"


echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
rem @echo OFF
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit


echo.
echo ________________________________
pause 
echo.
echo ________________________________

:PPM
"%~dp0\w2000a-screenshot.exe" -c 3 -s -a -a %*

echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit


echo.
echo ________________________________
pause 
echo.
echo ________________________________

:Convert
"Win-png-conf_Menu.bat"

:BMP/M
"%~dp0\w2000a-screenshot.exe" -c 3 -b -m -a %*
"Win-png-conf_Menu.bat"

echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit


echo.
echo ________________________________
pause 
echo.
echo ________________________________

:CSV
"%~dp0\w2000a-screenshot.exe" -c 3 -t csv -q -a %*
echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit


echo.
echo ________________________________
pause 
echo.
echo ________________________________

:ASCII
"%~dp0\w2000a-screenshot.exe" -c 3 -t ascii -q -a %*
echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit


echo.
echo ________________________________
pause 
echo.
echo ________________________________

:BMP(DSO)
"%~dp0\w2000a-screenshot.exe" -c 3 -b -a %*
"Win-png-conf_Menu.bat"

echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit


echo.
echo ________________________________
pause 
echo.
echo ________________________________


:HELP
COLOR 1E
type menu_help.txt
rem "menu_help.bat"

rem           "%~dp0\w2000a-screenshot.exe" -c 3 -h %*
echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit


echo.
echo ________________________________
pause 
echo.
echo ________________________________

:Version
"%~dp0\w2000a-screenshot.exe" -c 3 -v %*

echo            _________________________________
Set /P wahl=           Please choose Number:
echo            _________________________________
cls
:start
If /i "%wahl%"=="m" goto MENU
If /i "%wahl%"=="1" goto BMP
If /i "%wahl%"=="2" goto PPM
If /i "%wahl%"=="3" goto BMP/M
If /i "%wahl%"=="4" goto CSV
If /i "%wahl%"=="5" goto ASCII
If /i "%wahl%"=="H" goto HELP
If /i "%wahl%"=="V" goto Version
If /i "%wahl%"=="6" goto Convert
If /i "%wahl%"=="7" goto Rename
If /i "%wahl%"=="e" goto exit

echo.
echo ________________________________
pause 
echo.
echo ________________________________
